fpt_set_s_ Struct Reference

Holds data for a set of cascade summations. More...

`#include <fpt.h>`

Collaboration diagram for fpt_set_s_:
[legend]

## Data Fields

unsigned int | flags
| The flags.
int | M
| The number of DPT transforms.
int | N
| The transform length. More...
int | t
| The exponent of N.
fpt_data * | dpt
| The DPT transform data.
double ** | xcvecs
| Array of pointers to arrays containing the Chebyshev nodes.
double * | xc
| Array for Chebychev-nodes. More...
double _Complex * | temp
double _Complex * | work
double _Complex * | result
double _Complex * | vec3
double _Complex * | vec4
double _Complex * | z
fftw_plan * | plans_dct3
| Transform plans for the fftw library.
fftw_plan * | plans_dct2
| Transform plans for the fftw library.
fftw_r2r_kind * | kinds
| Transform kinds for fftw library.
fftw_r2r_kind * | kindsr
| Transform kinds for fftw library.
double * | xc_slow

## Detailed Description

Holds data for a set of cascade summations.

Definition at line 65 of file fpt.h.

## Field Documentation

int fpt_set_s_::N

The transform length.

Must be a power of two.

Definition at line 69 of file fpt.h.

double* fpt_set_s_::xc

Array for Chebychev-nodes.

Definition at line 76 of file fpt.h.

The documentation for this struct was generated from the following file:

- fpt.h